<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:51:44 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.languages.java.codegen 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.languages.java.codegen 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen"><span class="typeNameLink">Activator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Activator</a></dt>
<dd>
<div class="block">The constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#attributeModifiers-org.eclipse.uml2.uml.Property-">attributeModifiers(Property)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Modifier</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#classifierType-org.eclipse.uml2.uml.Classifier-">classifierType(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassifierGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#classModifiers-org.eclipse.uml2.uml.Classifier-">classModifiers(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassifierGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/ClassUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">ClassUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.utils</a></dt>
<dd>
<div class="block">A set of utility functions related to classes.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/ClassUtils.html#ClassUtils--">ClassUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/ClassUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">ClassUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#classVisibility-org.eclipse.uml2.uml.Classifier-">classVisibility(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassifierGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#cleanCode-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">cleanCode(IProject, PackageableElement, IProgressMonitor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#commentHeader">commentHeader</a></span> - Variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#COMPILATIONUNIT">COMPILATIONUNIT</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/Constants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen"><span class="typeNameLink">Constants</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen</a></dt>
<dd>
<div class="block">String constants for the code generation</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Constants.html#Constants--">Constants()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Constants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Constants</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html#constImportEnd--">constImportEnd()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaImportUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html#constImportStart--">constImportStart()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaImportUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#constructorOrVoid-org.eclipse.uml2.uml.Operation-">constructorOrVoid(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#createPackageableElementFile-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">createPackageableElementFile(PackageableElement, IProgressMonitor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>
<div class="block">Creates the files corresponding to the class.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#creator">creator</a></span> - Variable in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html#DEFAULT_SOURCE_FOLDER">DEFAULT_SOURCE_FOLDER</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">LocateJavaProject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html#defaultValue-org.eclipse.uml2.uml.Property-">defaultValue(Property)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaAttribute</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html#defaultValue-org.eclipse.uml2.uml.EnumerationLiteral-">defaultValue(EnumerationLiteral)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaEnumerations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html#defaultValue-org.eclipse.uml2.uml.Parameter-">defaultValue(Parameter)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaParameter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Constants.html#DOT">DOT</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Constants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Constants</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#FIELD">FIELD</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html#generalizations-org.eclipse.uml2.uml.Classifier-">generalizations(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassInheritedDeclarations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#generateClassCode-org.eclipse.uml2.uml.Classifier-java.lang.String-">generateClassCode(Classifier, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassifierGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#generateClassifier-org.eclipse.uml2.uml.Classifier-java.lang.String-">generateClassifier(Classifier, String)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#generateCode-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">generateCode(IProject, PackageableElement, IProgressMonitor)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#generateFile-java.lang.String-java.lang.String-">generateFile(String, String)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html#getCommentHeader--">getCommentHeader()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html#getDefault--">getDefault()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Activator</a></dt>
<dd>
<div class="block">Returns the shared instance</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#getDescription--">getDescription()</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#getFileName-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.NamedElement-">getFileName(IProject, NamedElement)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaLocationStrategy.html#getFileName-org.eclipse.uml2.uml.NamedElement-">getFileName(NamedElement)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaLocationStrategy</a></dt>
<dd>
<div class="block">Return the filename for a given named element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html#getHeaderSuffix--">getHeaderSuffix()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#getMethodInfo-org.eclipse.uml2.uml.NamedElement-">getMethodInfo(NamedElement)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#getNamespace-org.eclipse.uml2.uml.NamedElement-">getNamespace(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">JavaGenUtils</a></dt>
<dd>
<div class="block">Return a Java namespace definition for a named element</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html#getOwnedAttributes-org.eclipse.uml2.uml.Classifier-">getOwnedAttributes(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaAttribute</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html#getOwnedAttributesWNull-org.eclipse.uml2.uml.Classifier-">getOwnedAttributesWNull(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaAttribute</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#getOwnedOperations-org.eclipse.uml2.uml.Classifier-">getOwnedOperations(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#getOwnedOperationsWNull-org.eclipse.uml2.uml.Classifier-">getOwnedOperationsWNull(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#getSortedIncludePathList-org.eclipse.uml2.uml.Classifier-java.lang.String-">getSortedIncludePathList(Classifier, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassifierGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#getSourceFolder--">getSourceFolder()</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#getStdtypes-org.eclipse.uml2.uml.PrimitiveType-">getStdtypes(PrimitiveType)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">JavaGenUtils</a></dt>
<dd>
<div class="block">The standard UML, MARTE, and JavaPrimitive libraries provide some primitives to be translated as Java primitives</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#getSuffix-org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen.FILE_KIND-">getSuffix(ILangCodegen.FILE_KIND)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#getSyncInformation-java.lang.String-java.lang.String-">getSyncInformation(String, String)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#getTargetFolder--">getTargetFolder()</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html#getTargetPrefix-org.eclipse.uml2.uml.PackageableElement-">getTargetPrefix(PackageableElement)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">LocateJavaProject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#getTargetProject-org.eclipse.uml2.uml.PackageableElement-boolean-">getTargetProject(PackageableElement, boolean)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html#getTargetProject-org.eclipse.uml2.uml.PackageableElement-boolean-">getTargetProject(PackageableElement, boolean)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">LocateJavaProject</a></dt>
<dd>
<div class="block">Locate and return the target project for the given packageable element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html#getTargetSourceFolder-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.resources.IProject-">getTargetSourceFolder(PackageableElement, IProject)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">LocateJavaProject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#getTemplateTypeName-org.eclipse.uml2.uml.TemplateParameter-">getTemplateTypeName(TemplateParameter)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">JavaGenUtils</a></dt>
<dd>
<div class="block">Returns the string that is used within a Java template declaration, e.g.</div>
</dd>
</dl>
<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#handleDifferences-org.eclipse.compare.structuremergeviewer.DiffNode-">handleDifferences(DiffNode)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaMerger</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#IMPORT_CONTAINER">IMPORT_CONTAINER</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#IMPORTDECLARATION">IMPORTDECLARATION</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html#importDirective-java.lang.String-">importDirective(String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaImportUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html#importName-org.eclipse.uml2.uml.NamedElement-org.eclipse.uml2.uml.Namespace-">importName(NamedElement, Namespace)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassImportDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#imports">imports</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">JavaGenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenPreferenceInitializer.html#initializeDefaultPreferences--">initializeDefaultPreferences()</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenPreferenceInitializer.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenPreferenceInitializer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#INITIALIZER">INITIALIZER</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html#initPreferenceStore--">initPreferenceStore()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#isAbstract-org.eclipse.uml2.uml.Operation-">isAbstract(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#isConstructor-org.eclipse.uml2.uml.Operation-">isConstructor(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#isDefault-org.eclipse.uml2.uml.Operation-">isDefault(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#isEligible-org.eclipse.uml2.uml.Element-">isEligible(Element)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>
<div class="block">Check whether the code generator is able to produce code for the passed element:
 it must be a classifier and the Java profile must be applied.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html#isTemplate-org.eclipse.uml2.uml.Classifier-">isTemplate(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaTemplates</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:J">
<!--   -->
</a>
<h2 class="title">J</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#JAVA_LIB">JAVA_LIB</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">JavaGenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaAttribute</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html#JavaAttribute--">JavaAttribute()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaAttribute</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html#javaAttributeDeclaration-org.eclipse.uml2.uml.Property-">javaAttributeDeclaration(Property)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaAttribute.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaAttribute</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html#javaBehaviorDoc-org.eclipse.uml2.uml.Behavior-">javaBehaviorDoc(Behavior)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaDocumentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html#javaClassAllImports-org.eclipse.uml2.uml.Classifier-org.eclipse.emf.common.util.EList-java.lang.String-">javaClassAllImports(Classifier, EList&lt;Classifier&gt;, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassImportClassDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html#javaClassAllImports-org.eclipse.uml2.uml.Classifier-java.lang.String-">javaClassAllImports(Classifier, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassImportClassDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassAttributesDeclaration</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.html#JavaClassAttributesDeclaration--">JavaClassAttributesDeclaration()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassAttributesDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.html#javaClassAttributesDeclaration-org.eclipse.uml2.uml.Classifier-">javaClassAttributesDeclaration(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassAttributesDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassAttributesDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassifierGenerator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#JavaClassifierGenerator--">JavaClassifierGenerator()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassifierGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassImportClassDeclaration</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html#JavaClassImportClassDeclaration--">JavaClassImportClassDeclaration()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportClassDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassImportClassDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassImportDeclaration</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html#JavaClassImportDeclaration--">JavaClassImportDeclaration()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassImportDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html#javaClassImports-org.eclipse.uml2.uml.NamedElement-org.eclipse.uml2.uml.Namespace-">javaClassImports(NamedElement, Namespace)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassImportDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassImportDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassInheritedDeclarations</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html#JavaClassInheritedDeclarations--">JavaClassInheritedDeclarations()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassInheritedDeclarations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html#javaClassInheritedDeclarations-org.eclipse.uml2.uml.Classifier-">javaClassInheritedDeclarations(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassInheritedDeclarations</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassOperationsDeclaration</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.html#JavaClassOperationsDeclaration--">JavaClassOperationsDeclaration()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassOperationsDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.html#javaClassOperationsDeclaration-org.eclipse.uml2.uml.Classifier-">javaClassOperationsDeclaration(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassOperationsDeclaration.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassOperationsDeclaration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaClassTypeAndEnum</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html#JavaClassTypeAndEnum--">JavaClassTypeAndEnum()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassTypeAndEnum</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html#javaClassTypeAndEnum-org.eclipse.uml2.uml.Classifier-">javaClassTypeAndEnum(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassTypeAndEnum</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences"><span class="typeNameLink">JavaCodeGenConstants</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.preferences</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html#JavaCodeGenConstants--">JavaCodeGenConstants()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenConstants</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenPreferenceInitializer.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences"><span class="typeNameLink">JavaCodeGenPreferenceInitializer</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.preferences</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenPreferenceInitializer.html#JavaCodeGenPreferenceInitializer--">JavaCodeGenPreferenceInitializer()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenPreferenceInitializer.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenPreferenceInitializer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences"><span class="typeNameLink">JavaCodeGenUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.preferences</a></dt>
<dd>
<div class="block">Utility class that returns the preference values</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html#JavaCodeGenUtils--">JavaCodeGenUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaDocumentation</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html#JavaDocumentation--">JavaDocumentation()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaDocumentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html#javaElementDoc-org.eclipse.uml2.uml.Element-">javaElementDoc(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaDocumentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html#javaEnumerationLiterals-org.eclipse.uml2.uml.Enumeration-">javaEnumerationLiterals(Enumeration)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaEnumerations</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaEnumerations</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html#JavaEnumerations--">JavaEnumerations()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaEnumerations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaEnumerations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#javaExt">javaExt</a></span> - Variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">JavaGenUtils</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.utils</a></dt>
<dd>
<div class="block">Some utilities specific to Java code generation</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#JavaGenUtils--">JavaGenUtils()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">JavaGenUtils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html#javaImport-org.eclipse.uml2.uml.NamedElement-">javaImport(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaImportUtil</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaImportUtil</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html#JavaImportUtil--">JavaImportUtil()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaImportUtil.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaImportUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#javaInnerClassDefinition-org.eclipse.uml2.uml.Classifier-">javaInnerClassDefinition(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaInnerClassifiers</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaInnerClassifiers</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html#JavaInnerClassifiers--">JavaInnerClassifiers()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaInnerClassifiers.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaInnerClassifiers</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen"><span class="typeNameLink">JavaLangCodegen</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen</a></dt>
<dd>
<div class="block">Java language support</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#JavaLangCodegen--">JavaLangCodegen()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Messages.html#JavaLangCodegen_GeneratorDesc">JavaLangCodegen_GeneratorDesc</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">JavaLocationStrategy</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.transformation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaLocationStrategy.html#JavaLocationStrategy--">JavaLocationStrategy()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaLocationStrategy.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaLocationStrategy</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">JavaMerger</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.transformation</a></dt>
<dd>
<div class="block">Main class of Java code generator</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#JavaMerger-org.eclipse.core.resources.IProject-java.lang.String-java.lang.String-">JavaMerger(IProject, String, String)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaMerger</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">JavaModelElementsCreator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.transformation</a></dt>
<dd>
<div class="block">Main class of Java code generator</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#JavaModelElementsCreator-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.PackageableElement-">JavaModelElementsCreator(IProject, PackageableElement)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>
<div class="block">Constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#JavaModelElementsCreator-org.eclipse.core.resources.IProject-java.lang.String-org.eclipse.uml2.uml.PackageableElement-">JavaModelElementsCreator(IProject, String, PackageableElement)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>
<div class="block">Constructor, allows for non-standard commentHeader</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#JavaModelElementsCreator-org.eclipse.papyrus.infra.tools.file.IPFileSystemAccess-java.lang.String-">JavaModelElementsCreator(IPFileSystemAccess, String)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>
<div class="block">Constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Messages.html#JavaModelElementsCreator_CannotFormatContent">JavaModelElementsCreator_CannotFormatContent</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation"><span class="typeNameLink">JavaNodeId</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.transformation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#JavaNodeId--">JavaNodeId()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#javaOperationDeclaration-org.eclipse.uml2.uml.Operation-">javaOperationDeclaration(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html#javaOperationDoc-org.eclipse.uml2.uml.Operation-">javaOperationDoc(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaDocumentation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#javaOperationImplementation-org.eclipse.uml2.uml.Operation-">javaOperationImplementation(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html#javaOperationParameters-org.eclipse.uml2.uml.Operation-">javaOperationParameters(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaParameter</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaOperations</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#JavaOperations--">JavaOperations()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html#javaParamDoc-org.eclipse.uml2.uml.Parameter-">javaParamDoc(Parameter)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaDocumentation.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaDocumentation</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaParameter</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html#JavaParameter--">JavaParameter()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaParameter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html#javaParameter-org.eclipse.uml2.uml.Parameter-">javaParameter(Parameter)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaParameter</a></dt>
<dd>
<div class="block">Java parameter.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html#javaParameterForJDT-org.eclipse.uml2.uml.Parameter-">javaParameterForJDT(Parameter)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaParameter</a></dt>
<dd>
<div class="block">JavaParameterCalculation for JDT</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#javaQualifiedName-org.eclipse.uml2.uml.NamedElement-org.eclipse.uml2.uml.Element-">javaQualifiedName(NamedElement, Element)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">JavaGenUtils</a></dt>
<dd>
<div class="block">Return a kind of qualifiedName, except if
 - The named element has the stereotype External or NoCodeGen
 - The named element is part of the ANSI C library
 - The named element is a primitive type that has no further definition via a stereotype (TODO: why is this required/useful?)</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#javaReturnSpec-org.eclipse.uml2.uml.Operation-">javaReturnSpec(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend"><span class="typeNameLink">JavaTemplates</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html#JavaTemplates--">JavaTemplates()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaTemplates</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html#LANGUAGE_NAME">LANGUAGE_NAME</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">LocateJavaProject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#lastProject">lastProject</a></span> - Variable in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">LocateJavaProject</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html#LocateJavaProject--">LocateJavaProject()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/LocateJavaProject.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">LocateJavaProject</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html#LocateJavaProject_ApplyCNatureDesc">LocateJavaProject_ApplyCNatureDesc</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html#LocateJavaProject_ApplyCNatureTitle">LocateJavaProject_ApplyCNatureTitle</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html#LocateJavaProject_CreateTargetProjectDesc">LocateJavaProject_CreateTargetProjectDesc</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html#LocateJavaProject_CreateTargetProjectTitle">LocateJavaProject_CreateTargetProjectTitle</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html#log">log</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html#manageCreator-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.Element-">manageCreator(IProject, Element)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/JavaLangCodegen.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">JavaLangCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html#merge--">merge()</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaMerger.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaMerger</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen"><span class="typeNameLink">Messages</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Messages.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">Messages</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.utils</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#METHOD">METHOD</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#methodModifiers-org.eclipse.uml2.uml.Operation-">methodModifiers(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Modifier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#modArray-org.eclipse.uml2.uml.Element-">modArray(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Modifier</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils"><span class="typeNameLink">Modifier</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.utils</a></dt>
<dd>
<div class="block">Utility functions managing the "modifier" of an element</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#Modifier--">Modifier()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Modifier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#modVariadic-org.eclipse.uml2.uml.Parameter-">modVariadic(Parameter)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Modifier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#mustGenerateBody-org.eclipse.uml2.uml.Operation-">mustGenerateBody(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#noCodeGen-org.eclipse.uml2.uml.Element-">noCodeGen(Element)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html#openNS-org.eclipse.uml2.uml.NamedElement-">openNS(NamedElement)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/JavaGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">JavaGenUtils</a></dt>
<dd>
<div class="block">Update the currentNS (used to organize imports and types)</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen</a> - package org.eclipse.papyrus.designer.languages.java.codegen</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.preferences</a> - package org.eclipse.papyrus.designer.languages.java.codegen.preferences</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.transformation</a> - package org.eclipse.papyrus.designer.languages.java.codegen.transformation</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.utils</a> - package org.eclipse.papyrus.designer.languages.java.codegen.utils</dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/package-summary.html">org.eclipse.papyrus.designer.languages.java.codegen.xtend</a> - package org.eclipse.papyrus.designer.languages.java.codegen.xtend</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html#P_COMMENT_HEADER">P_COMMENT_HEADER</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenConstants</a></dt>
<dd>
<div class="block">User defined comment header in generated files</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html#P_JAVA_SUFFIX">P_JAVA_SUFFIX</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenConstants</a></dt>
<dd>
<div class="block">Suffix for generated header files</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html#P_PROJECT_PREFIX">P_PROJECT_PREFIX</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenConstants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenConstants</a></dt>
<dd>
<div class="block">Suffix for generated header files</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#PACKAGEDECLARATION">PACKAGEDECLARATION</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html#packageDeclaration-org.eclipse.uml2.uml.Classifier-java.lang.String-">packageDeclaration(Classifier, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassifierGenerator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassifierGenerator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html#parameterModifiers-org.eclipse.uml2.uml.Parameter-">parameterModifiers(Parameter)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/Modifier.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">Modifier</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html#PLUGIN_ID">PLUGIN_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html#preferenceStore">preferenceStore</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.preferences.<a href="org/eclipse/papyrus/designer/languages/java/codegen/preferences/JavaCodeGenUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.preferences">JavaCodeGenUtils</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html#realizations-org.eclipse.uml2.uml.Classifier-">realizations(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassInheritedDeclarations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassInheritedDeclarations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/ClassUtils.html#requiredClassifiers-org.eclipse.uml2.uml.Classifier-">requiredClassifiers(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.utils.<a href="org/eclipse/papyrus/designer/languages/java/codegen/utils/ClassUtils.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.utils">ClassUtils</a></dt>
<dd>
<div class="block">Calculate the list of classifiers that are required by another classifier</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#returnParameter-org.eclipse.uml2.uml.Operation-">returnParameter(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html#start-org.osgi.framework.BundleContext-">start(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html#stop-org.osgi.framework.BundleContext-">stop(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Activator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/Constants.html#supportedLanguages">supportedLanguages</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.<a href="org/eclipse/papyrus/designer/languages/java/codegen/Constants.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen">Constants</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html#templateSignature-org.eclipse.uml2.uml.Classifier-">templateSignature(Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaTemplates.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaTemplates</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html#throwss-org.eclipse.uml2.uml.Operation-">throwss(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaOperations.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaOperations</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html#TMP_SOURCE_FOLDER">TMP_SOURCE_FOLDER</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaModelElementsCreator.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaModelElementsCreator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html#TYPE">TYPE</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.java.codegen.transformation.<a href="org/eclipse/papyrus/designer/languages/java/codegen/transformation/JavaNodeId.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.transformation">JavaNodeId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html#typeAndEnum-org.eclipse.uml2.uml.Element-">typeAndEnum(Element)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.java.codegen.xtend.<a href="org/eclipse/papyrus/designer/languages/java/codegen/xtend/JavaClassTypeAndEnum.html" title="class in org.eclipse.papyrus.designer.languages.java.codegen.xtend">JavaClassTypeAndEnum</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:J">J</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
